# WOK
TKWOK
MS

# MS_Exec Class Reference

`#include <MS_Exec.hxx>`

Inheritance diagram for MS_Exec:

[legend]

## Public Member Functions

Standard_EXPORT void | Schema (const Handle(TCollection_HAsciiString)&aSchema)
Standard_EXPORT Handle_TCollection_HAsciiString | Schema () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | MS_Exec (const Handle(TCollection_HAsciiString)&anExec)

## Private Attributes

Handle_TCollection_HAsciiString | mySchema

## Constructor & Destructor Documentation

Standard_EXPORT MS_Exec::MS_Exec | ( | const Handle(TCollection_HAsciiString)& | anExec | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const MS_Exec::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MS_GlobalEntity. Reimplemented in MS_Component, MS_Engine, MS_ExecPart, and MS_Executable.

Standard_EXPORT Handle_TCollection_HAsciiString MS_Exec::Schema | ( |  | ) | const

Standard_EXPORT void MS_Exec::Schema | ( | const Handle(TCollection_HAsciiString)& | aSchema | ) |

## Field Documentation

Handle_TCollection_HAsciiString MS_Exec::mySchema `[private]`

The documentation for this class was generated from the following file:

- MS_Exec.hxx